ROUTE(8)

NAME
route - Anzeigen der IP-Routen-Tabelle

SYNOPSIS
route [-CFvnee]

route
    [-v] [-A Addressfamilie] add [-net|-host] Ziel [netmask Nm] [gw Gw] [metric N] [mss M] [window W] [irtt I] [reject] [mod] [dyn] [reinstate] [[dev] Schnittstelle]

route
    [-v] [-A Adressfamilie] del [-net|-host] Ziel [gw Router] [netmask Nm] [metric N] [[dev] Schnittstelle]

route
    [-V] [--version] [-h] [--help]

BESCHREIBUNG
Route wird zum Ändern der IP-Routing-Tabelle der Kernels verwendet. Seine primäre Verwendung ist statische Routen für bestimmte Rechner oder Netzwerke über eine Schnittstelle einzutragen, nachdem diese mit dem Programm ifconfig(8) konfiguriert wurde.

OPTIONEN

-v  schaltet ausführliche Ausgaben an.

-A Adressfamilie
    Benutzt die angegebene Adresse, z.B. inet oder inet6.

-n  zeigt numerische Adressen an, d.h. es wird nicht mehr versucht IP-Adressen in symbolische Hostnamen umzuwandeln. Dies kann z.B. nützlich sein, wenn der Nameserver nicht mehr erreichbar ist, z.B. weil keine Route existiert.

-e  Schaltet das Ausgabeformat von netstat(8) für die Anzeige der Routentabelle an. -ee gibt eine sehr lange Zeile mit allen Routenparametern aus der Routentabelle aus.

-net
    Das Ziel ist ein Netzwerk.

-host
    daS Ziel ist ein Rechner

-F  Zeit die FIB Routentabelle des Kerns an. Das Ausgabeformat kann mit den Optionen -e and -ee geändert werden.

-C  zeigt den Routencache des Kernels an.

del Löescht eine Route.

add fügt eine Route zu.

Ziel
    Das Zielnetzwerk oder -System. Die Angabe von sowohl IP-Adressen in Form von dezimalen durch Punkt getrennten Quadrupeln als auch Rechner- und Netznamen ist zulässig.

netmask Nm
    ändert die Netzwerksmaske der Route, die zugefügt werden soll.

gw Router
    Alle IP-Pakete für das Zielnetzwerk / -System werden zum angegebenen Router weitergeleitet.

    ANMERKUNG: Das angegebene Ziel muß zuerst erreichbar sein. Üblicherweise bedeutet das, das zuerst eine statische Route zum Router eingetragen werden. Wird die Adresse einer lokalen Schnittstelle angegeben, so wird sie benutzt um zu entscheiden zu welcher Schnittstelle die Pakete weitergeleitet werden. Dieses Merkmal dient der Kompatibilität mit BSD.

metric M
    Setzt das Metric-Feld der Routentabelle, das von Routendämonen verwendet wird, auf M.

mss M
    Setzt den MSS-Wert (Maximum Segment Size) für TCP-Verbindungen über diese Route auf M bytes. Diese Einstellung kann verwendet werden um eine kleinere MTU zu erzwingen, wenn Path MTU Discovery nicht funktioniert (normalerweise weil ein Firewall dazwischen ist der ICMP Fragmentation Needed blockt). Die Standardeinstellung ist die MTU des Netzwerkinterfaces minus Headers oder eine kleinere falls bekannt.

window W
    Setzt das TCP-Fenster für Verbindungen über diese Route auf W bytes. Dies wird üblicherweise nur auf AX.25-Netzwerken und mit Treibern, die Probleme mit aufeinanderfolgenden Paketen haben, benutzt.

irtt A
    Setzt die Anfängliche Paketumlaufzeit (IRTT, Initial Round Trip Time) für TCP-Verbindungen auf A millisekunden. Erlaubte Werte sind im Bereich von 1-12000 Milisekunden. Dies wird üblicherweise nur auf AX.25 Netzwerken benutzt. Wenn ausgelassen, dann wird der Standardwert aus RFC1122 von 300ms benutzt.

reject
    Installiert eine Blockaderoute, die im Abbruch der Suche nach einer Route resultiert. Dies wird zum Beispiel benutzt um Netzwerke auszumaskieren, bevor die Standardroute verwendet wird. Dieses Merkmal ist NICHT zur Verwendung als Firewall gedacht.

mod, dyn, reinstate
    Installiert eine dynamische oder modifizierte Route. Beide Flaggen werden im allgemeinen nur von Routendämonen verwendet und dienen im route(8) Kommando nur zu diagnostischen Zwecken.

dev Schnittstelle
    Erzwingt, daß die Route mit der angegebenen Schnittstelle assoziiert wird. Ansonsten würde der Kern selbstständig versuchen, die Schnittstelle durch Überprüfung bereits existierender Routen, Schnittstellenspezifikationen und der Stelle, zu der die Route zugefügt wird. In den meisten normalen Netzwerken wird dies nicht benötigt.

    Wird als letzte Option dev Schnittstelle angegeben, so kann das Schlüsselwort dev ausgelassen werden, da es Standardwert ist. Ansonsten ist die Reihenfolge der Optionen (metric, netmask, gw und dev), die die Route verändern, egal.

BEISPIELE

route add -net 127.0.0.0
    erzeugt die normale Loopbackroute mit der Netzmaske 255.0.0.0 (Netzwerk Klasse A, ermittelt aus der Zieladresse) und assoziert sie mit der Schnittstelle lo unter der Annahme, daß dieses Gerät vorher mit ifconfig(8) konfiguriert wurde.

route add -net 192.56.76.0 netmask 255.255.255.0 dev eth0
    Legt eine Route zum Netzwerk 192.56.76.x über eth0 an. Die Angabe der Klasse C Netzmaske ist in diesem Fall nicht nötig, 192.* Klasse C IP-Adressen sind. Das Wort dev darf in diesem Fall ausgelassen werden.

route add default gw mango-gw
    legt eine Standardroute, d.h. eine Route die verwendet wird, wenn keine andere Route passt, an. Alle Pakete über diese Route werden über mango-gw weitergeleitet. Die Schnittstelle, die tatsächlich für diese Route verwendet wird, hängt davon ab, wie mango-gw erreicht werden kann. Zuvor muß mango-gw bereits über eine andere Route erreicht werden können.

route add ipx4 sl0
    Legt eine Route zum Rechner ipx4 über die SLIP-Schnittstelle an. Dabei wird angenommen daß ipx4 der SLIP-Rechner auf der Gegenseite ist.

route add -net 192.57.66.0 netmask 255.255.255.0 gw ipx4
    Dieses Kommando sorgt dafür, dass das Netz 192.57.66.x über die obige Route über die SLIP-Schnittstelle weitergeleitet wird.

route add 224.0.0.0 netmask 240.0.0.0 dev eth0
    Dieses etwas obscure Beispiel wird hier dokumentiert, um zu zeigen, wie Multicastrouten angelegt werden. Durch diese Route werden alle Pakete der Klasse D (Multicast) über eth0 weitergeleitet. Diese die korrekte Konfiguration für einen Kern mit Multicast-Unterstützung.

route add 10.0.0.0 netmask 255.0.0.0 reject
    Dies installiert eine zurückweisende Route für das private Netzwerk 10.x.x.x.

AUSGABE
Die Ausgabe der Kernelroutentabelle besteht aus folgenden Spalten

Ziel
    Das Zielnetzwerk oder -System.

Router
    Die Adresse des weiterleitenden Routers oder "*", wenn keine gesetzt ist.

Genmask
    Die Netzmaske für das Zielnetz; '255.255.255.255' für eine einzeles Zielsystem und '0.0.0.0' für die Standardroute (. default).

Flaggen
    Mögliche Flaggen sind
    U Route ist aktiviert ( up)
    H Ziel ist ein einzelner Rechner
    G Benutzt einen Router als gateway
    R modifiziert eine Route bei dynamischem Routen
    D Route ist dynamisch von einem daemon oder redirect-Paket erzeugt worden.
    M modified von einem Routendämon oder redirekt-Paket.
    ! (zurückweisendeRoute)

Metric
    Der Abstand zum Ziel, d.h. üblicherweise die Anzahl der Zwischenrouter. Dieser Wert wird von aktuellen Kernen nicht verwendet, kann aber u.U. von Routendämonen benötigt werden.

Ref Anzahl der Referenzen auf diese Route. Wird vom Linux Kern nicht benutzt.

Benutzer
    Zahl der Suchvorgänge nach dieser Route. Abhängig von -F und -C werden entweder fehlgeschlagene Suchen im Cache (-F) oder Cache-Treffer (-C) Count of lookups for the route. Depending on the use of -F and -C this will be either route cache misses (-F) or hits (-C).

Schnittstelle
    Schnittstelle auf die Pakete für diese Route geleitet werden.

MSS Maximale Segmentgröße für TCP-Verbindungen über diese Route.

Fenster
    Voreinstellung für die Fenstergröße von Verbindungen über diese Route.

irtt
    Anfängliche Paketumlaufszeit (IRTT, Initial Round Trip Time). Der Kern benutzt diesen Wert um die bestmöglichen Parameter für das TCP-Protokoll abzuschätzen ohne möglicherweise auf eventuell langsame Antworten warten zu müssen.

HH (cached only)
    Die Anzahl der ARP-Einträge und gecachten Routen, die den Hardware- headercache der gecachten Route referenzieren. Die ist -1 wenn keine Hardwareadresse nicht für den Eintrag der gecachten Route benötigt wird, z.B. für lo.

Arp (nur gecachet)
    Nur wenn die Hardwareadresse für die gecachte Route aktuell ist.

DATEIEN
/proc/net/ipv6_route
/proc/net/route
/proc/net/rt_cache

SIEHE AUCH
ethers(5), arp(8), rarp(8), route(8), ifconfig(8), netstat(8)

GESCHICHTE
Route für Linux wurde ursprünglich von Fred N. van Kempen geschrieben (waltje@uwalt.nl.mugnet.org) und dann von Johannes Stille und Linus Torvalds für pl15. Alan Cox hat die mss und window Optionen für Linux 1.1.22 zugefügt. Bernd Eckenfels hat schließlich die Unterstützung für irtt beigesteuert und den Code mit dem von Netstat vereinigt.

AUTOREN
Route wird zur Zeit von Phil Blundel (Philip.Blundell@pobox.com) gewartet.

Übersetzung
Ralf Bächle <ralf@linux-mips.org>